| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSpriteFrame Struct Reference
[Mesh plugins]

A frame for 3D sprite animation. More...

`#include <imesh/sprite3d.h>`

Inheritance diagram for iSpriteFrame:

[legend]
List of all members.

## Public Member Functions
virtual char const * | GetName () const =0
| Get the name.
virtual void | SetName (char const *)=0
| Set the name.

## Detailed Description

A frame for 3D sprite animation.

Definition at line 90 of file sprite3d.h.

## Member Function Documentation

virtual char const* iSpriteFrame::GetName | ( |  | ) | const`[pure virtual]`

Get the name.

virtual void iSpriteFrame::SetName | ( | char const * |  | ) | `[pure virtual]`

Set the name.

The documentation for this struct was generated from the following file:

- imesh/sprite3d.h